RDKit: RDKit::PNGMetadataParams Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Attributes | List of all members
RDKit::PNGMetadataParams Struct Reference

`#include <PNGParser.h>`

## Public Attributes
bool | includePkl = true
| include molecule pickle
bool | includeSmiles = true
| include CXSMILES for the molecule
bool | includeMol = false
| include molblock for the molecule
unsigned int | propertyFlags = MolPickler::getDefaultPickleProperties()
| choose properties to be included in the pickle
SmilesWriteParams | smilesWriteParams = SmilesWriteParams()
| choose SmilesWriteParams for the CXSMILES string
std::uint32_t | cxSmilesFlags = SmilesWrite::CXSmilesFields::CX_ALL
| choose CXSMILES fields to be included in the CXSMILES string
RestoreBondDirOption | restoreBondDirs
| choose what to do with bond dirs in the CXSMILES string

## Detailed Description

Definition at line 36 of file PNGParser.h.

## Member Data Documentation

## ◆ cxSmilesFlags

std::uint32_t RDKit::PNGMetadataParams::cxSmilesFlags = SmilesWrite::CXSmilesFields::CX_ALL

choose CXSMILES fields to be included in the CXSMILES string

Definition at line 48 of file PNGParser.h.

## ◆ includeMol

bool RDKit::PNGMetadataParams::includeMol = false

include molblock for the molecule

Definition at line 42 of file PNGParser.h.

Referenced by RDKit::addMolToPNGStream().

## ◆ includePkl

bool RDKit::PNGMetadataParams::includePkl = true

include molecule pickle

Definition at line 38 of file PNGParser.h.

Referenced by RDKit::addMolToPNGStream().

## ◆ includeSmiles

bool RDKit::PNGMetadataParams::includeSmiles = true

include CXSMILES for the molecule

Definition at line 40 of file PNGParser.h.

Referenced by RDKit::addMolToPNGStream().

## ◆ propertyFlags

unsigned int RDKit::PNGMetadataParams::propertyFlags = MolPickler::getDefaultPickleProperties()

choose properties to be included in the pickle

Definition at line 44 of file PNGParser.h.

## ◆ restoreBondDirs

RestoreBondDirOption RDKit::PNGMetadataParams::restoreBondDirs

Initial value:
=
RestoreBondDirOption::RestoreBondDirOptionClear

choose what to do with bond dirs in the CXSMILES string

Definition at line 50 of file PNGParser.h.

## ◆ smilesWriteParams

SmilesWriteParams RDKit::PNGMetadataParams::smilesWriteParams = SmilesWriteParams()

choose SmilesWriteParams for the CXSMILES string

Definition at line 46 of file PNGParser.h.

The documentation for this struct was generated from the following file:

- PNGParser.h